org.apache.lucene.analysis.ko.dict

## Class Dictionary.Morpheme

- java.lang.Object
- - org.apache.lucene.analysis.ko.dict.Dictionary.Morpheme

- Enclosing interface:
    Dictionary

      public static class Dictionary.Morpheme
      extends Object

  A morpheme extracted from a compound token.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `POS.Tag` | `posTag`
    `String` | `surfaceForm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Morpheme(POS.Tag posTag, String surfaceForm)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### posTag

          public final POS.Tag posTag

    - #### surfaceForm

          public final String surfaceForm

  - ### Constructor Detail

    - #### Morpheme

          public Morpheme(POS.Tag posTag,
                          String surfaceForm)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.